<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>strftime</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Formatiert eine Zeit-/Datumsangabe nach den lokalen Kriterien">
<meta name="keywords"       content="SELFPHP, PHP, Datums- und Zeit-Funktionen, strftime">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/datums_und_zeit_funktionen/strftime.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Datums- und Zeit-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>strftime</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">string <b>strftime</b>(string format 
      [, int timestamp])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="861">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit strftime() formatiert man eine Zeitangabe (timestamp) entsprechend 
        den<br>
        lokalen Spracheinstellungen. Die Zeitangabe &uuml;bergeben Sie als UNIX-<br>
        Zeitstempel im Parameter timestamp. Lassen Sie diesen Parameter leer, 
        nimmt<br>
        die Funktion die aktuelle Ortszeit.<br>
        Im Parameter format &uuml;bergeben Sie einen Formatstring, der festlegt, 
        welche<br>
        Werte der Ergebnisstring enthalten soll. </p>
      <p>Die folgenden Platzhalter in diesem Formatstring ersetzt die Funktion 
        durch die<br>
        entsprechenden Datums- und Zeitangaben:<br>
        %a - abgek&uuml;rzter Wochentag (z.B. Sun)<br>
        %A - ungek&uuml;rzter Wochentag (z.B. Sunday)<br>
        %b - abgek&uuml;rzter Monatsname(z.B. Jul)<br>
        %B - ungek&uuml;rzter Monatsname (z.B. July)<br>
        %c - Datums- und Zeitangabe (z.B. Sun Jul 1 12:13:46 2001)<br>
        %C - Ausgabe des Jahrhunderts (z. B. 20), m&ouml;gliche Werte sind 00 
        bis 99.<br>
        %d - aktueller Tag des Monats, m&ouml;gliche Werte sind 01 bis 31.<br>
        %D - Ausgabe des aktuellen Datums (z.B. 07/01/01) in der Reihenfolge<br>
        Monat/Tag/Jahr<br>
        %e - aktueller Tag des Monats als Dezimalwert, bei einstelligen Werten 
        wird ein<br>
        Leerzeichen vorangestellt<br>
        %h - abgek&uuml;rzter Monatsname(z.B. Jul)<br>
        %H - aktuelle Stunde im 24-Stunden-Format (z.B. 13), m&ouml;gliche Werte 
        sind 00 bis 23<br>
        %I - aktuelle Stunde im 12-Stunden-Format (z.B. 01), m&ouml;gliche Werte 
        sind 01 bis 12<br>
        %j - aktueller Tag des Jahres als Zahlenwert (z.B. 182), m&ouml;gliche 
        Werte sind 001 bis 366<br>
        %m - aktueller Monat des Jahres als Zahlenwert (z.B. 07), m&ouml;gliche 
        Werte sind 01 bis 12<br>
        %M - aktuelle Minute der laufenden Stunde (z.B. 40), m&ouml;gliche Werte 
        sind 00 bis 59<br>
        %n - neue Zeile<br>
        %p - Ausgabe der Tageszeit (z.B. PM), m&ouml;gliche Werte sind AM oder 
        PM<br>
        %r - aktuelle Zeit mit Tageszeitangabe ( z.B. 02:51:03 PM)<br>
        %R - aktuelle Zeit im 24-Stunden-Format (z.B. 14:52)<br>
        %S - aktuelle Sekunden der laufenden Minute (z.B. 42), m&ouml;gliche Werte 
        sind 00 bis 59<br>
        %t - Tabulator (z.B a a), erzwingt einen Leerraum zwischen zwei Werten.<br>
        %T - aktuelle Zeit im 24-Stunden-Format (z.B. 15:03:47)<br>
        %u - aktueller Tag der laufenden Woche als Zahlenwert (z.B. 7), m&ouml;gliche 
        Werte sind<br>
        1 bis 7 (1=Montag, 7=Sonntag)<br>
        %U - aktuelle Woche des Jahres als Zahlenwert ( z.B. 26), beginnend mit 
        dem ersten<br>
        Sonntag als ersten Tag der ersten Woche. M&ouml;gliche Werte sind 00 - 
        53<br>
        %V - - aktuelle Woche des Jahres als Zahlenwert ( z.B. 26). Die erste 
        Woche muss<br>
        dabei allerdings mindestens 4 Tage haben (die Woche beginnt bei Montag) 
        m&ouml;gliche<br>
        Werte sind 00 - 53<br>
        %w - aktueller Wochentag als Zahlenwert (z.B. 0), m&ouml;gliche Werte 
        sind 0 bis 7 (Sonntag<br>
        ist 0)<br>
        %W - aktuelle Woche des Jahres als Zahlenwert (z.B. 26), m&ouml;gliche 
        Werte sind 00 bis 53,<br>
        beginnend mit dem ersten Montag der ersten Woche<br>
        %x - aktuelles Datum (z.B. 07/01/01)<br>
        %X - aktuelle Zeit (z.B. 15:00:10)<br>
        %y - aktuelles Jahr als zweistelliger Zahlenwert (z.B. 01), m&ouml;gliche 
        Werte sind 00 bis 99<br>
        %Y - aktuelles Jahr als vierstelliger Zahlenwert (z.B. 2001)<br>
        %Z - aktuelle Zeitzone (z.B. CEST)<br>
        %% - Ausgabe des Zeichens %</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="../string_funktionen/setlocale.html">setlocale()</a></li>
        <li><a href="mktime.html">mktime()</a></li>
        <li><a href="microtime.html">microtime()</a></li>
      </ul>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>echo strftime(&quot;%A, %d-%m-%Y %R&quot;) . &quot;&lt;br&gt;&quot;;<br>echo strftime(&quot;%A, %d-%m-%Y %R&quot;, time());<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Sunday, 01-07-2001 15:12<br>
        Sunday, 01-07-2001 15:12</p>
      </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="strtotime.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="strtotime.html"><b>strtotime</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="mktime.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mktime.html"><b>mktime</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>